How to make vitis model composer support the latest version of matlab

53 views (last 30 days)
Hi all ,
as figure show vitis model composer 2021.1 not support matlab r2021b,i already try modify ml_supported.xml but it's no effect,Is there any other way to make vitis model composer support the latest version of matlab?

Answers (1)

Lee Johannes
Lee Johannes on 11 Feb 2022
it bcs xilinx not support matlab 2021b
you can manually add it in xilinx
\Xilinx\Vivado\YOUR version\data\sysgen\sg_config\ml_supported.xml
<version>
<number>9.11</number>
<name>R2021b</name>
</version>
and using administrator to run vivado
file bar- windows- tcl console
input sg_config in tcl
to set your matlab and apply again
if you already open your vivado. plz close then run in adminitrator agian.
  1 Comment
Marcos Rodríguez
Marcos Rodríguez on 8 Mar 2022
hello in vivado tcl console I get:
invalid command name "sg_config"
looking in internet it seems this command is for ISE and not for vivado..

Sign in to comment.

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!